皇上,还记得我吗?我就是1999年那个Linux伊甸园啊-----24小时滚动更新开源资讯,全年无休!

Android Studio 3.1 Canary 6 发布,常见错误修复

Android Studio

Android Studio 3.1 Canary 6 已发布,如果从 3.1 Canary 1, 2, 或 3 进行升级,则需要从 Android Studio Preview 站点 下载最新版本的 IDE。将项目更新到 3.1 Canary 6 时可能会收到错误。如果是这样,您需要手动将 Android Gradle 插件版本更改为 3.1.0-alpha06,如下所示:

buildscript {
    dependencies {
        classpath 'com.android.tools.build:gradle:3.1.0-alpha06'
    }
}

该版本带来了常见的错误修复和以下新功能:

  • 将底层 IDE 升级到 IntelliJ 2017.3,你可能会注意到性能方面的变化
  • 升级 Kotlin 插件至 1.2 版本
  • 数据绑定 (Data Binding) 的更新:
    • 现在可以在数据绑定表达式中将 LiveData 对象用作可观察字段 (observable field)。该 ViewDataBinding 类现在包括一个新的 setLifecycle ,你需要使用可观察的 LiveData 对象
    • 新的编译器 :可以预览数据绑定类的新增量编译器。要启用此编译器,请将 android.databinding.enableV2 = true 添加到您的 gradle.properties 文件,或包含以下命令行参数:-Pandroid.databinding.enableV2 = true 。请记住,这个编译器 不是向后兼容的 ,所以你需要重新编译你所有的数据绑定类,并启用这个功能来利用增量编译。
  • ……

已知的问题:

  • 将现有项目更新到 Android Gradle Alpha 6 版插件失败,必须如上所述手动更新到 3.1.0-alpha06
  • 使用 Java 8 语言特性 ,缺失“Set Language Level to 8″ 的意图菜单 (intentions menu)
  • 在构建 LintTest 项目时,可能会遇到 IsolationException 错误
  • 在 Android 即时应用程序项目中 使用 Java 8 语言特性 时,可能会收到致命异常
  • 创建包含 BottomNavigationView 的 Android 即时应用程序项目时,可能会收到空指针异常

更多新特性和已知问题请点此查看:https://androidstudio.googleblog.com/2017/12/android-studio-31-canary-6-is-now.html

下载地址

Windows (64-bit): android-studio-ide-173.4506631-windows.zip (934257645 bytes)
Windows (32-bit): android-studio-ide-173.4506631-windows32.zip (933728868 bytes)
Mac: android-studio-ide-173.4506631-mac.zip (933279334 bytes)
Linux: android-studio-ide-173.4506631-linux.zip (932639587 bytes)

Canary 版说明:此渠道发布前沿版本,大约每周更新一次。虽然这些版本存在较多的错误,但已经过测试,我们希望为您提供抢先体验的机会,以便您尝试新功能和提供反馈。此渠道不推荐用于生产开发。

转自 http://www.oschina.net/news/91748/android-studio-3-1-canary-6-is-now

分享到:更多 ()